<?php


/**
 * Klasse Info
 */

class Info {
	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display($args) {

		require_once "./includes/amifunc.php";
                include '/usr/local/php/beroConf.php';

                $bc = new beroConf('root');
		
		include('./includes/header.php');
		//Die Tabelle Infos 
		
		$ret .= "<br/><br/>
			<table class='contenttoc' width='36%'> 
			<tr>
			<th>Serial Number</th>
			</tr>
			<tr>";
		exec('/bin/cat /proc/cmdline',$res);
		preg_match("/[^a-zA-Z0-9=]*?d=(?<zahlen>.+) /",$res[0],$serial);

		$ret.="<td nowrap>".$serial[zahlen]."</td>
			</tr>
			</table><br/>";
			
		$f=@file("/VERSION");
		$tmp=split("=",$f[1]);
		$rootfs=$tmp[1];
		
		$fpga=exec("/bin/cat /proc/FPGA_VERSION");
		exec('/bin/cat /proc/cmdline',$res);
		preg_match("/[^a-zA-Z0-9=]*?n=(?<number>.+)/",$res[0],$revision);
		$ret.="<table class='contenttoc' width='36%'>
					<tr><th colspan='2'>Versions</th></tr>
		            <tr><td><b>appfs</b></td><td>". $bc->get("root", "app-image")."</td></tr>
		            <tr><td><b>rootfs</b></td><td>Version $rootfs</td></tr>
		            <tr><td><b>FPGA</b></td><td>Version $fpga</td></tr>
		            <tr><td><b>HW Revision</b></td><td>".$revision[number]."</td></tr>
		            </table><br/>";
	
		$ret .= "<table class='contenttoc' width='36%'> 
			<tr>
			<th>MAC Address</th>
			</tr>
			<tr>";
		exec('/sbin/ifconfig eth0 | /bin/grep HWaddr',$resm);
		preg_match("/[^a-zA-Z0-9:]*? HWaddr (?<mac>.+)/",$resm[0],$mac);

		$ret.="<td nowrap>".$mac[mac]."</td>
			</tr>
			</table><br/>";
	
	
		$ret .= "<table class='contenttoc' width='36%'> 
			<tr>
			<th colspan='2'>Net Configuration</th>
			</tr>
			<tr>";
		exec('/sbin/ifconfig eth0 | /bin/grep HWaddr',$resm);
		preg_match("/[^a-zA-Z0-9:]*? HWaddr (?<mac>.+)/",$resm[0],$mac);

		$ret.="<td nowrap>IP Address:</td><td>". $bc->get("root", "lan-ipaddr")."</td></tr>
			<tr><td>Netmask:</td><td>".$bc->get("root", "lan-netmask")."</td></tr>
			</tr><td>Gateway:</td><td>".$bc->get("root", "lan-gateway")."</td></tr>
			</table><br/>";
			
		$ret .= "<table class='contenttoc' width='36%'> 
			<tr>
			<th >Date and Time</th>
			</tr>
			<tr>
			<td nowrap>".exec("date  +%d-%B-%Y-%H:%M:%S")."</td>
			</tr>
			</table><br/>";


		$ret .= "<table class='contenttoc' width='36%'> 
			<tr>
			<th>Line Interfaces</th>
			</tr>
			";
		exec('/bin/cat /proc/li*',$resl);
		$i=0;
		foreach ($resl as $zeile){
			preg_match("/type: (?<li>.+)/",$zeile,$lif);
			if (($lif[li]!="unknown") && ($lif[li]!="")){
				if ($lif[li]=="xhfc-4su") $ret.="<tr><td nowrap>li".$i++.":  BF4S0</td></tr>";
				if ($lif[li]=="hfc-e1") $ret.="<tr><td nowrap>li".$i++.":  BF1E1</td></tr>";
				if ($lif[li]=="hfc-2e1") $ret.="<tr><td nowrap> li".$i++.": BF2E1</td></tr>";
			}
		}

		$ret.="</table><br/>";
		$ret .= "<table class='contenttoc' width='36%'> 
			<tr>
			<th>Uptime</th>
			</tr>
			<tr>";
		exec('/usr/bin/uptime',$resup);
		preg_match("/(?<t>.+), load /",$resup[0],$uptime);

		$ret.="<td nowrap>".$uptime[t]."</td>
			</tr>
			</table><br/>";
	//Rückgabe: Der Inhalt von der HTML-Seite  
		return $ret;
	}

}
?>
